/* CSS VERSION 1.1 */
/* 2 Mar 2026 */

/* =============================== */
/*  SECTION BANNER
/* =============================== */

#banner {
    background-size: cover;
    background-position: bottom;
    background-repeat: no-repeat;
    min-height: 900px;
}

.banner-content {
    display: flex;
    justify-content: center;
    /* align-items: flex-end; */
    height: 100%;
    width: 100%;
    max-width: 1400px;
    margin: 0 auto;
}

.hero-bottles {
    position: relative;
    width: 30%;
    transform: translateY(20%);

    
    & img {
        width: 100%;
        max-width: 420px
    }
}

.prizes-wrapper {
    width: 70%;
    position: relative;
    justify-content: center;
    right: -120px;
    bottom: 0;
}

.prizes-row {
    display: flex;
    flex-direction: row;
    gap: 50px;
}

.dino-logo {
    width: 100%;
    & img {
        width: 100%;
        max-width: 200px;
    }
}

.white-oval {
    /* position: absolute; */
    right: -25%;
    margin-top: 10%;
    background-color: #fff;
    border-radius: 50%;
    width: 140%;
    aspect-ratio: 2/1.5;
}

.contest {
    display: block;
    width: fit-content;
    background-color: var(--red);
    color: #fff;
    padding: 0 20px;
    text-transform: uppercase;
    font-weight: 600;
    font-size: 3rem;
    margin-left: 20%;
    transform: translateY(-30px);
}

.title-wrapper {
    margin-left: 20%;
}

#main-prize-row {
    margin-top: 30px
}

.main-prize {
    margin-left: 20%;

    & img {
        max-width: 380px;
        margin-left: -120px;
    }
}

.main-prize-text h2 {
    font-weight: 800;
    font-size: 3.5rem;
    line-height: 3.5rem;

    & sub {
        display: inline-block;
        transform: translateY(0.5rem);
        font-weight: 500;
    }
}

#main-prize-count {
    display: block;
    font-size: 8rem;
    color: var(--red);
    transform: translateX(-1rem);
    margin-bottom: -2rem;
    letter-spacing: -0.5rem;
}


.tertiary-prize {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    margin-left: 20%;

    & img {
        width: 100%;
        max-width: 150px;
    }
    
}

.secondary-prize {
    position: relative;
    width: 100%;
    max-width: 150px;

    & img {
        position: absolute;
        right: -20px;
        top: 0;
        height: 150%;
        max-width: 200px;
    }
    
    & #secondary-prize-count {
        color: var(--red);
        font-size: 5rem;
        line-height: 3.8rem;
        font-weight: 800;
        margin-left: -0.7rem;
    }

    & h4  {
        color: var(--green);
        font-weight: 700;
        font-size: 1.5rem;
        line-height: 1.5rem;
        margin-bottom: 0;
    }

    & sub {
        display: inline-block;
        transform: translateY(0.2rem);
        font-weight: 400;
    }
}

.tertiary-prize-text {
    display: flex;

    & #tertiary-prize-count {
        display: block;
        color: var(--red);
        font-size: 3.7rem;
        font-weight: 800;
        margin-top: 0.6rem;
        margin-right: 10px;
    }

    & h4  {
        color: var(--green);
        font-weight: 700;
        font-size: 1.5rem;
        line-height: 1.5rem;
        margin-bottom: 0;
    }
    
}

/* ================================================ */
/* SECTION RULES */
/* ================================================ */

#rules {
    position: relative;
    overflow: hidden;
    background: none; /* important – remove original bg */
}

#rules::before {
    content: '';
    position: absolute;
    top: -20%;
    left: 0;
    width: 100%;
    height: 140%;
    background: url('../images/sparkling_bg.webp') no-repeat bottom center;
    background-size: cover;
    transform: translateY(var(--rules-parallax, 0px));
    will-change: transform;
    z-index: 0;
}

#rules .container {
    position: relative;
    z-index: 1;
}

.rule-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;

    & img {
        max-height: 200px;
    }

    & .rule-number {
        display: flex;
        justify-content: center;
        align-items: center;
        background: var(--green);
        color: #fff;
        padding: 10px;
        border-radius: 50%;
        font-size: 2rem;
        font-weight: 700;
        width: 50px;
        height: 50px;
    }

    & p {
        font-size: 1.2rem;
        font-weight: 700;
        text-align: center;
        color: var(--green);
        padding-inline: 5%;
    }
}

.duration-text {
    font-size: 1.2rem;
    font-weight: 700;
    text-align: center;
    color: var(--green);
}

/* ================================================ */
/* SECTION PRODUCTS */
/* ================================================ */

#products {
    background: url('../images/wolf_bg.webp') no-repeat;
    background-size: cover;
    background-position: top center;
    padding-bottom: 80px;
}

.product-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    max-width: 400px;
    margin: 0 auto;

    & h3 {
        font-size: 1.8rem;
        font-weight: 700;
        text-align: center;
        color: var(--green);
        text-transform: uppercase;
        margin-bottom: 20px;
    }

    & img {
        max-height: 200px;
    }

    & p {
        color: var(--green);
    }
    
}

/* ================================================ */
/* SECTION FORM */
/* ================================================ */

.form-wrapper {
    position: relative;
}

.receipt-wrapper {
    position: absolute;
    top: 21%;
    left: -180px;
    width: 40%;
    max-width: 150px;

    & p {
        text-align: center;
        color: #fff;
    }

    & img {
        width: 100%;
    }
}

.receipt-item-mobile {
    display: none
}

.receipt-overlay {
    visibility: hidden;
    max-height: 0;
}

.form-messages p {
    text-align: center;
    font-size: 2rem;
    font-weight: 700;
    margin-bottom: 50px;
    margin-top: 10px;
    color: #fff;
}


/* ================================================ */
/* SECTION LOADING OVERLAY */
/* ================================================ */
.loading-wrapper {
    position: fixed;
    inset: 0;
    z-index: 99999;
}

.loading-overlay {
    position: absolute;
    inset: 0;
    background: #005e52d6;
}

.loading-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 30px 40px;
    border-radius: 20px;
    text-align: center;
    z-index: 2;
}

.loading-spinner img {
    width: 180px;
    height: 180px;
}

.loading-text {
    margin-top: 15px;
    font-size: 20px;
    font-weight: 600;
    color: #fff;
    font-size: 2.5rem;
    text-shadow: 0 2px 40px #0000006f;
}

/* ================================================ */
/* SECTION WINNERS */
/* ================================================ */

#winners {
    background: url('../images/winners-bg.webp') no-repeat;
    background-size: cover;
    background-position: top center;
    padding-bottom: 80px;
    position: relative;
}

.winners-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to bottom, #fff,#ffffff30);
}

.winners-wrapper {
    background: var(--green);
    padding: 50px;
    margin-top: 20px;
    color: #fff;
    box-shadow: 0 0 50px 0 rgba(0, 0, 0, 0.2);
}

tr {
    border-bottom: 1px solid #fff;
}

.tablepress .column-2, 
.tablepress .column-3 {
    min-width: 130px;
}

.winners-main-prize {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    position: relative;

    & img {
        position: absolute;
        top: -30px;
        left: 0;
        height: 200px;
        width: 25%;
        max-width: 250px;
    }

    & h3 {
        font-size: 2.5rem;
        font-weight: 700;
        text-align: center;
        text-transform: uppercase;
        color: #fff;
    }

    & sub {
        display: inline-block;
        font-weight: 300;
        transform: translateY(0.5rem);
    }
}

.winners-secondary-prize {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    position: relative;
    margin-top: 50px;

    & img {
        position: absolute;
        right: -60px;
        top: -30px;
        height: 200px;
        width: 25%;
        max-width: 250px;
    }

    & h4 {
        font-size: 2rem;
    }

    & sub {
        display: inline-block;
        font-weight: 300;
        transform: translateY(0.3rem);
    }
}

#winners-bony img {
    right: 55%;
    top: -30px;
    height: 80px;
    width: 25%;
    max-width: 250px;
}

.winners-table-wrapper {
    display: none;
    flex-direction: row;
    gap: 20px;
}

#winners-page-1 {
    display: flex;
}

.always-show {
    display: flex;
}

/* PAGINATION STYLES==================================== */
.current-page {
    font-size: 1.6rem;
    font-weight: 700;
    text-align: center;
    margin-bottom: 30px;
}

.pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2px;

    & button {
        background: none;
        border: none;
        appearance: none;
        color: #fff;
        font-weight: 300;
        font-size: 1.3rem;
        text-align: center;
        transition: all 0.3s ease;

        &:hover {
            color: var(--light-green);
        }

        &.active {
            font-weight: 800;
        }
    }
}
.prev-page {
    margin-right: 10px;
}

.next-page {
    margin-left: 10px;
}

button:disabled {
    opacity: 0.3;
    cursor: not-allowed;
}

/* TABLE STYLES========================================= */

.tablepress, th, thead, .row-1, td {
    border: none !important;
    border-bottom: none !important;
}

.tablepress th, .tablepress td {
    background: none !important;
    color: #fff !important;
    height: 40px;
    border: none;
}


/* ================================================ */
/* PAGE THANK YOU  */
/* ================================================ */
/* SECTION MAIN*/
/* ================================================ */


.thank-you-page {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: calc(100vh - 200px);
    background: url('../images/sparkling_bg.webp') no-repeat;
    background-size: cover;
    background-position: top center;
}

/* ================================================ */
/* PAGE CONTACT  */
/* ================================================ */
/* SECTION MAIN*/
/* ================================================ */

.form-contact  {
    background-color: var(--green);
    padding: 30px 5%;
    box-shadow: 0 0 50px 0 rgba(0, 0, 0, 0.2);
    margin-top: 50px;
}


/* SECTION MEDIA QUERIES   /////////////////////////////// */
/* @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ */
/* @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ */

@media (min-width: 1300px) {
    #banner .cta-row {
        margin-top: -10%;
    }
}

@media (max-width: 1300px) {
    .prizes-wrapper {
        right: -20px
    }

    .main-prize, .secondary-prize, .tertiary-prize {
        margin-left: 10%;
    }

    .main-prize img {
        margin-left: 0px;
    }

    .dino-logo {
        max-width: 150px;
    }
}

@media (max-width: 992px) {

    /* SECTION BANNER */

    .banner-content {
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .hero-bottles {
        position: absolute;
        top: -180px;
        margin-top: 0;
        display: flex;
        justify-content: right;
        width: 100%;
        max-width: 200px;
        transform: translateY(0);
        z-index: 1;

        &  img {
            transform: translate(130%, 150px);
            max-width: 100%;
        }
    }

    .prizes-row {
        gap: 20px;
        justify-content: center
    }

    .prizes-wrapper {
        width: 100%;
        right: unset;
        margin-top: 0;
    }
    

    .white-oval {
        position: relative;
        right: unset;
        width: 100%;
        aspect-ratio: 2/1;
        margin-top: 50px;
    }

    .tertiary-prize {
        margin-left: unset;
    }

    /* SECTION FORM */

    .receipt-wrapper {
        width: unset;
        left: -40px;
        top: 340px;
    }

    .receipt-item-destkop {
        display: none;
    }

    .receipt-item-mobile {
        display: block;

        & span {
            display: block;
            font-size: 1.2rem;
            font-weight: 700;
            text-align: center;
            margin: auto;
            color: #fff;
            width: 30px;
            height: 30px;
            border: 1px solid #fff;
            border-radius: 50px
        }

        &:hover {
            cursor: pointer;
        }
    }

    /* OVERLAY */
    .receipt-overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    
        background: rgba(0,0,0,0.5);
        display: flex;
        justify-content: center;
        align-items: center;
    
        opacity: 0;
        visibility: hidden;
        transition: all 0.3s ease;
    
        z-index: 9999;
    }
    
    .receipt-overlay img {
        max-width: 90%;
        height: auto;
    }
    
    /* active state */
    .receipt-overlay.active {
        opacity: 1;
        visibility: visible;
        max-height: 100%;
    }

  

    /* SECTION WINNERS */

    .winners-main-prize img {
        position: relative;
        top: unset;
        left: unset;
        height: 150px;
        width: 100%;
        max-width: 200px;
    }

    .winners-secondary-prize img {
        position: relative;
        right: unset;
        height: 120px;
        width: 100%;
        max-width: 200px;
    }
    #winners-bony img {
        right: unset;
        top: unset;
    }

    .winners-table-wrapper {
        flex-direction: column;
        align-items: center;
    }

    .winners-col-2 {
        margin-top: -50px;
    
        & thead {
            display: none;
        }
    }
}

@media (max-width: 768px) {
    /* SECTION BANNER */

    .hero-bottles {
        & img {
            transform: translate(70%, 150px);
            max-width: 150px
        }
    }

    .prizes-wrapper {
        margin-top: 0;
    }

    .prizes-row {
        flex-direction: column;
        align-items: center;
    }

    .title-wrapper{
        margin-left: unset;
    }

    .main-prize {
        margin-left: unset;


        & img {
            max-width: 300px;
        }
    }

    .main-prize-text h2 {
        font-size: 3rem;
        line-height: 3rem;

    & #main-prize-count {
        font-size: 6rem;
        line-height: 3rem;
    }
}


    .secondary-prize {
        margin-left: unset;
    }

    #prizes-row-secondary {
        flex-direction: column-reverse;
        margin-top: 50px;
    }

        .tertiary-prize {
            margin-top: 100px;
    }
}

@media (max-width: 576px) {


    .prizes-wrapper {
        margin-top: -50px;
    }
    .contest {
        margin-left: 0;
    }

}